var React = require('react');
var reactCore = require('@patternfly/react-core');
var formik = require('formik');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n["default"] = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var _excluded = ["text"];
var SubmitButton = function SubmitButton(_ref) {
  var text = _ref.text,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var _useFormikContext = formik.useFormikContext(),
      isSubmitting = _useFormikContext.isSubmitting;

  return React__namespace.createElement(reactCore.Button, Object.assign({
    type: 'submit',
    variant: 'primary'
  }, props), isSubmitting ? React__namespace.createElement(reactCore.Spinner, {
    reversed: true
  }) : text);
};

exports.SubmitButton = SubmitButton;
